Uploaded image for project: 'MusicBrainz Server'
  1. MusicBrainz Server
  2. MBS-9035

Coro dependency causes build failure on Perl 5.22 and newer

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 2016-11-21
    • Component/s: None
    • Labels:
      None

      Description

      When trying to install musicbrainz-server from source on Ubuntu 16.04.1, I ran into an issue with trying to use cpanm to install all of the Perl dependencies. It turns out that Coro does not support newer than Perl 5.020 while 5.022 is what is installed by default in 16.04. As Coro is only listed as a test_depends in Makefile.PL, mst from #perl on Freenode generated a patch which will remove Coro and allow installation to continue.

        Attachments

          Activity

            People

            • Assignee:
              bitmap Michael Wiencek
              Reporter:
              b.m.andrews Brandon Andrews
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: